summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali2010-12-02 12:21:57 +0100
committer Robby Workman2010-12-06 02:59:23 +0100
commit8a2824e200ccd34146c9da65fcc3f99d3f514fd4 (patch)
treec4bf0e6b14fb289b04a9bded411cbc00c7df9e02
parent2b4810ca0ed09ac51d31a30c8f58803a4eacf253 (diff)
downloadslackbuilds-8a2824e200ccd34146c9da65fcc3f99d3f514fd4.tar.gz
libraries/python-distutils-extra: Updated for version 2.23.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--libraries/python-distutils-extra/python-distutils-extra.SlackBuild17
-rw-r--r--libraries/python-distutils-extra/python-distutils-extra.info8
2 files changed, 8 insertions, 17 deletions
diff --git a/libraries/python-distutils-extra/python-distutils-extra.SlackBuild b/libraries/python-distutils-extra/python-distutils-extra.SlackBuild
index 78198848d6..365401b382 100644
--- a/libraries/python-distutils-extra/python-distutils-extra.SlackBuild
+++ b/libraries/python-distutils-extra/python-distutils-extra.SlackBuild
@@ -5,16 +5,14 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=python-distutils-extra
-VERSION=2.18
+VERSION=2.23
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -30,7 +28,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/dist-$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -41,15 +39,8 @@ find . \
python setup.py install --root=$PKG
-# Get rid of *.pyc files.
-find $PKG -name "*.pyc" -exec rm -f {} \;
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/python-distutils-extra/python-distutils-extra.info b/libraries/python-distutils-extra/python-distutils-extra.info
index 6ca22ea176..ab5610a241 100644
--- a/libraries/python-distutils-extra/python-distutils-extra.info
+++ b/libraries/python-distutils-extra/python-distutils-extra.info
@@ -1,10 +1,10 @@
PRGNAM="python-distutils-extra"
-VERSION="2.18"
+VERSION="2.23"
HOMEPAGE="https://launchpad.net/python-distutils-extra"
-DOWNLOAD="http://launchpad.net/python-distutils-extra/trunk/2.18/+download/dist-python-distutils-extra-2.18.tar.gz"
-MD5SUM="3d96d362ef514c2b2f8c3390c3033fae"
+DOWNLOAD="http://launchpad.net/python-distutils-extra/trunk/2.23/+download/python-distutils-extra-2.23.tar.gz"
+MD5SUM="9964f888f58097827cbeb9dc9269274a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"
EMAIL="larryhaja[at]gmail[dot]com"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"